VkQueryPoolCreateInfo Struct Reference

`#include <vulkan.h>`

## Data Fields

VkStructureType | sType
const void * | pNext
VkQueryPoolCreateFlags | flags
VkQueryType | queryType
uint32_t | queryCount
VkQueryPipelineStatisticFlags | pipelineStatistics

## Detailed Description

Definition at line 1821 of file vulkan.h.

## Field Documentation

## flags

VkQueryPoolCreateFlags VkQueryPoolCreateInfo::flags

Definition at line 1824 of file vulkan.h.

## pipelineStatistics

VkQueryPipelineStatisticFlags VkQueryPoolCreateInfo::pipelineStatistics

Definition at line 1827 of file vulkan.h.

## pNext

const void* VkQueryPoolCreateInfo::pNext

Definition at line 1823 of file vulkan.h.

## queryCount

uint32_t VkQueryPoolCreateInfo::queryCount

Definition at line 1826 of file vulkan.h.

## queryType

VkQueryType VkQueryPoolCreateInfo::queryType

Definition at line 1825 of file vulkan.h.

## sType

VkStructureType VkQueryPoolCreateInfo::sType

Definition at line 1822 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h